本文へ移動
Bounty Developer

POST/api/events/{slug}/trio/links/{id}/decline

「TRIO」の分類の、新しく作る、または操作を実行するために内容を送る API。ログインした本人として呼ぶ。

要約

選択イベントのTRIO合流提案を見送る

呼び方と印

ログイン

URL に付ける値(パラメータ)

経路の中の波かっこの部分と、URL の ? の後ろに付ける値。「必須」の印があるものは省けない。

  • slugpath必須string
  • idpath必須string(uuid)

送るもの(本文)application/json

送る本文の欄。「必須」の印がある欄は省けない。

  • expectedEventId必須string(uuid)
  • expectedActorId必須string(uuid)
  • expectedRevision必須string
    /^[a-f0-9]{64}$/

返るもの(応答)200 · application/json

成功したときに返る形。入れ子の欄は、その行を押すと開く・閉じる。「任意」の印がある欄は返らないことがある。

  • linkobject
    • idstring
    • status"proposed" | "mutual" | "declined" | "expired"
    • axisKeystring
    • axisNamestring
    • reasonstring
    • mineobject
      • trioIdstring
      • reasonstring
      • membersarray<object>
        • idstring
        • displayNamestring
        • avatarUrlstring | null
        • titlestring | null
        • orgNamestring | null
      • acceptedboolean
    • theirsobject
      • trioIdstring
      • reasonstring
      • membersarray<object>
        • idstring
        • displayNamestring
        • avatarUrlstring | null
        • titlestring | null
        • orgNamestring | null
      • acceptedboolean
    • mergedTrioIdstring | null
    • mergedConversationIdstring | null
    • createdAtstring

失敗したとき(エラー)

失敗したときの状態コードと、その意味。本文の error の値で、プログラムが失敗の種類を見分けられる。

  • 400HTTP 400(x-bounty-error-codes を参照)
  • 401未ログイン(unauthorized)/ Bearer が無効(invalid_token。WWW-Authenticate 付き)
  • 403HTTP 403(x-bounty-error-codes を参照)
  • 404HTTP 404(x-bounty-error-codes を参照)
  • 409HTTP 409(x-bounty-error-codes を参照)
  • 413HTTP 413(x-bounty-error-codes を参照)
  • 415HTTP 415(x-bounty-error-codes を参照)

呼び出しの見本

そのまま試せる呼び出しの例。curl と fetch をタブで切り替える。ID やトークンは自分の値に置き換える。

curl -X POST "https://bounty.spikes.4s.link/api/events/{slug}/trio/links/{id}/decline" \
  -H "Authorization: Bearer $BEARER_AUTH" \
  -H "Content-Type: application/json" \
  -d '{
    "expectedEventId": "00000000-0000-4000-8000-000000000000",
    "expectedActorId": "00000000-0000-4000-8000-000000000000",
    "expectedRevision": "string"
  }'
POST /api/events/{slug}/trio/links/{id}/decline | Bounty Developer